Package com.saxonica.ee.bytecode.converter

## Class BooleanToFloatCompiler

- java.lang.Object
- - com.saxonica.ee.bytecode.converter.ConverterCompiler
  - - com.saxonica.ee.bytecode.converter.BooleanToFloatCompiler

-     public class BooleanToFloatCompiler
      extends ConverterCompiler

  Generate code for a Boolean to Float CastExpression

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.saxonica.ee.bytecode.converter.ConverterCompiler

      `ConverterCompiler.GenericConverterCompiler`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanToFloatCompiler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compileToItem​(CompilerService compiler, Expression expression)` |
    `void` | `compileToPrimitive​(CompilerService compiler, Expression expression, java.lang.Class requiredClass, OnEmpty onEmpty)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanToFloatCompiler

          public BooleanToFloatCompiler()

  - ### Method Detail

    - #### compileToItem

          public void compileToItem​(CompilerService compiler,
                                    Expression expression)
                             throws CannotCompileException

      Specified by:
        `compileToItem` in class `ConverterCompiler`
      Throws:
        `CannotCompileException`

    - #### compileToPrimitive

          public void compileToPrimitive​(CompilerService compiler,
                                         Expression expression,
                                         java.lang.Class requiredClass,
                                         OnEmpty onEmpty)
                                  throws CannotCompileException

      Overrides:
        `compileToPrimitive` in class `ConverterCompiler`
      Throws:
        `CannotCompileException`